JPGCOM(1)

NAME
jpgcom - print any comments present in the specified JPEG image files

SYNOPSIS
jpgcom [-h(elp)] [-f file_list] [-p(ipe)] jpgfile...

DESCRIPTION
jpgcom prints out any comments present in the specified JPEG files.

OPTIONS

-h  Print help and quit.

-f file_list
    Read the names of files to be processed from the specified file.

-p  Read the names of files to be processed from stdin.

NOTES
The -f and -p options can be used simultaneously with filenames specified on the command-line.

HISTORY
The jpgcom program is derived heavily from Thomas Lane's excellent rdjpgcom program. This version was heavily stripped down by Brian Lindholm to only read JPEG comments.

COPYRIGHT
Copyright (C) 1994-1997, Thomas G. Lane.
Modifications Copyright (C) 2004-2026, Brian Lindholm.
All Rights Reserved except as specified below. Permission is hereby granted to use, copy, modify, and distribute this software (or portions thereof) for any purpose, without fee, subject to these conditions: (1) If any part of the source code for this software is distributed, then this README file must be included, with this copyright and no-warranty notice unaltered; and any additions, deletions, or changes to the original files must be clearly indicated in accompanying documentation. (2) If only executable code is distributed, then the accompanying documentation must state that "this software is based in part on the work of the Independent JPEG Group". (3) Permission for use of this software is granted only if the user accepts full responsibility for any undesirable consequences; the authors accept NO LIABILITY for damages of any kind.